#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Acl;
use Vhffs::Services::MailUser;
use Vhffs::Panel::Mail;

my $config;
my $mysql_config;
my $services_config;
my $group;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

my $user = new Vhffs::User( $princ , "gradator" , '401' );
my $mu = init Vhffs::Services::MailUser( $princ , $user );

if( ( my $retour = $mu->addforward( "soda\@free.fr" ) ) < 0 )
{
	print "erreur $retour";
}
else
{
	print "success\n";
}


#print Dumper $mu;
