#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Acl;
use Vhffs::Services::Httpd;
use Vhffs::Services::Mysql;
use Vhffs::Panel::DNS;

my $config;
my $mysql_config;
my $services_config;
my $group;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;


$user = new Vhffs::User( $princ , "soda" , 401) ;
$group = new Vhffs::Group( $princ , "sodaproject" , 401) ;

my $sql = new Vhffs::Services::Mysql( $princ , $ARGV[0] , $user , $group );

my $lol = Vhffs::Acl::getall_acl_for_user_per_object( $sql , $princ );

print Dumper $lol;

$lol = Vhffs::Acl::getall_acl_for_group_per_object( $sql , $princ );

print Dumper $lol;
